Subject: IANA registry for alt-svc parameters (#59)

From: Julian Reschke <[email-masked]>
Date: Wed, 2 Sep 2015 13:42:20 +0200

Hi there,

I just added text specifying the extensibility rules, and also 
introduced an IANA registry for new parameters, see 
<https://github.com/httpwg/http-extensions/commit/eed78be6f8340a1019a22022168c35fa68654feb>:

 > 7.3.  Alt-Svc Parameter Registry
 >
 >    The HTTP Alt-Svc Parameter Registry defines the name space for the
 >    cache directives.  It will be created and maintained at (the
 >    suggested URI)
 >    <http://www.iana.org/assignments/http-alt-svc-parameters>.
 >
 > 7.3.1.  Procedure
 >
 >    A registration MUST include the following fields:
 >
 >    o  Parameter Name
 >
 >    o  Pointer to specification text
 >
 >    Values to be added to this name space require IETF Review (see
 >    [RFC5226], Section 4.1).
 >
 > 7.3.2.  Registrations
 >
 >    The HTTP Alt-Svc Parameter Registry is to be populated with the
 >    registration below:
 >
 >    +-------------------+-------------+
 >    | Alt-Svc Parameter | Reference   |
 >    +-------------------+-------------+
 >    | ma                | Section 3.1 |
 >    +-------------------+-------------+

Note that I specified "IETF Review", which might be controversial (but 
is in line with other similar header fields, such as Cache-Control). 
Feedback appreciated.

Best regards, Julian